Subject: bug#32002: 24.4; Scroll bar start, end not correct

From: Andrew Kurn <[email-masked]>
Date: Thu, 12 Jul 2018 00:11:28 -0700

On Wed 11 Jul 2018 06:02 +0300, Eli Zaretskii wrote:
> Date: Wed, 11 Jul 2018 06:02:31 +0300
> From: Eli Zaretskii <[email-masked]>
> To: Andrew Kurn <[email-masked]>
> CC: [email-masked]
> Subject: Re: bug#32002: 24.4; Scroll bar start, end not correct
> 
> > Date: Tue, 10 Jul 2018 12:16:55 -0700
> > From: Andrew Kurn <[email-masked]>
> > 
> > But, but, but if I then put the mouse on it and pull down,
> > the text goes off the top. (The scroll bar still covers
> > the whole track.)
> 
> That's a feature.

How often I have heard those words before . . .

> You can do the same one line at a time with
> "C-u 1 C-v".  Using the scroll bar invokes the same commands, so it
> behaves the same.  It has nothing to do with the appearance of the
> thumb.
> 
> > Worse, if I mouse the bar up, nothing happens.  The text
> > does not reappear.
> 
> Really?  How do you move the thumb and to what position on the bar?

With the mouse, as I said.  The thumb is now larger than the track,
so it doesn't appear to move, but it does, evident when I move it down.

> 
> And what happens if you click on the stepper (that tiny arrow at the
> top of the scroll bar)?
>
Sorry.  I'm using a theme that doesn't have them.

> Those are entirely different issues, unrelated to the size of the
> thumb when all of the buffer is on display.

This is a hint to start another bug report.

Andrew